function::remote_uri
Prev | Chapter 2. Context Functions | Next

## Name

function::remote_uri — The name of this instance in a remote execution.

## Synopsis

        remote_uri:string()

## Arguments

None

## Description

This function returns the remote host used to invoke this particular script execution from a swarm of “stap --remote” runs. It may not be unique among the swarm. The function returns an empty string if the script was not launched with “stap --remote”.

Prev | Up | Next
function::remote_id | Home | function::s32_arg